package com.muyu.breakdown.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.breakdown.domain.SysCarFault;

import java.util.List;

/**
 * @ClassDescription: 车辆故障管理Service接口
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/20 10:57
 */
public interface SysCarFaultService extends IService<SysCarFault> {
    /**
     * 精确查询车辆故障管理
     *
     * @param id 车辆故障管理主键
     * @return 车辆故障管理
     */
    public SysCarFault selectSysCarFaultById(Long id);

    /**
     * 查询车辆故障管理列表
     *
     * @param sysCarFault 车辆故障管理
     * @return 车辆故障管理集合
     */
    public List<SysCarFault> selectSysCarFaultList(SysCarFault sysCarFault);

    /**
     * 判断 车辆故障管理 id是否唯一
     * @param sysCarFault 车辆故障管理
     * @return 结果
     */
    Boolean checkIdUnique(SysCarFault sysCarFault);

}
