package com.muyu.fence.service;

import java.util.List;
import com.muyu.fence.domain.TbFence;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 电子围栏Service接口
 *
 * @author muyu
 * @date 2024-09-18
 */
public interface ITbFenceService extends IService<TbFence> {
    /**
     * 精确查询电子围栏
     *
     * @param fenceId 电子围栏主键
     * @return 电子围栏
     */
    public TbFence selectTbFenceByFenceId(Long fenceId);

    /**
     * 查询电子围栏列表
     *
     * @param tbFence 电子围栏
     * @return 电子围栏集合
     */
    public List<TbFence> selectTbFenceList(TbFence tbFence);

    /**
     * 判断 电子围栏 id是否唯一
     * @param tbFence 电子围栏
     * @return 结果
     */
    Boolean checkIdUnique(TbFence tbFence);

}
