package com.template.controller;

import com.muyu.common.core.domain.Result;
import com.template.domain.MessageTemplateType;
import com.template.domain.Template;
import com.template.service.MessageTemplateTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.sheep.message.controller
 * @Project：cloud-server-c
 * @name：MessageTemplateTypeController
 * @Date：2024/9/19 14:33
 */
@RestController
@RequestMapping("/messageTemplateType")
public class MessageTemplateTypeController {

    @Autowired
    private MessageTemplateTypeService messageTemplateTypeService;


    /**
     * 列表
     * @return
     */
    @PostMapping("/messageTemplateTypeList")
    public Result<List<MessageTemplateType>> messageTemplateTypeList() {
        List<MessageTemplateType> list = messageTemplateTypeService.messageTemplateTypeList();
        return Result.success(list,"查询成功");
    }

    /**
     * 添加
     * @param messageTemplateType
     * @return
     */
    @PostMapping("/addMessageType")
    public Result<Integer> addMessageType(@RequestBody MessageTemplateType messageTemplateType) {
        return Result.success(messageTemplateTypeService.addMessageType(messageTemplateType));
    }

    /**
     * 基础类型
     * @param templatedId
     * @param code
     * @return
     */
    @PostMapping("/findvehicleFoundationData")
    public Result<List<MessageTemplateType>> findvehicleFoundationData(@RequestParam("templatedId") Integer templatedId, @RequestParam("code") String code) {
        return Result.success(messageTemplateTypeService.findvehicleFoundationData(templatedId,code));
    }


    /**
     * 数据类型
     * @param templatedId
     * @param code
     * @return
     */
    @PostMapping("/findvehicleData")
    public Result<List<MessageTemplateType>> findvehicleData(@RequestParam("templatedId") Integer templatedId,@RequestParam("code") String code) {
        return Result.success(messageTemplateTypeService.findvehicleData(templatedId,code));
    }

    /**
     * 设备状态
     * @param templatedId
     * @param code
     * @return
     */
    @PostMapping("/finddeviceStatusData")
    public Result<List<MessageTemplateType>> finddeviceStatusData(@RequestParam("templatedId") Integer templatedId,@RequestParam("code") String code) {
        return Result.success(messageTemplateTypeService.finddeviceStatusData(templatedId,code));
    }

}
