package com.template.domain;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @Author：liuxinyue
 * @Package：com.sheep.message.domain
 * @Project：cloud-server-c
 * @name：MessageTemplateType
 * @Date：2024/9/18 21:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper=false)
@TableName(value = "message_template_type",autoResultMap = true)
public class MessageTemplateType implements Serializable {


    /**
     * 主键
     */
    @TableId(value = "message_template_type_id",type = IdType.AUTO)
    private String messageTemplateTypeId;
    /**
     * 报文类别
     */
    private String messageClass;
    /**
     * 编码
     */
    private String messageCode;
    /**
     *标签
     */
    private String messageField;
    /**
     *起始位
     */
    private Integer startIndex;
    /**
     *终止位
     */
    private Integer endIndex;
    /**
     *数据类型ID
     */
    private Integer dataTypeId;
    /**
     * 数据类型名称
     */
    private String  dataTypeName;
    /**
     *最小值
     */
    private String fixedValue;
    /**
     *最大值
     */
    private String rangeValue;
    /**
     * 模版ID
     */
    private Integer templateId;
}
